import request from '@/utils/request'

// 查询充值订单列表
export function listRefund(query) {
  return request({
    url: '/mapi/recharge/refund/list',
    method: 'get',
    params: query
  })
}

// 退卡审核
export function refundApprovalNo(id) {
  return request({
    url: '/mapi/recharge/refund/refundApprovalNo',
    method: 'get',
    params: {"id": id }
  })
}

// 退卡审核
export function refundApprovalYes(id) {
  return request({
    url: '/mapi/recharge/refund/refundApprovalYes',
    method: 'get',
    params: {"id": id }
  })
}


//充值订单撤单
export function refundRecharge(data) {
  return request({
    url: '/mapi/recharge/refund/refundRecharge',
    method: 'post',
    data: data
  })
}


// 查询退款充值订单列表
export function refundRechargeOrderList(query) {
  return request({
    url: '/mapi/recharge/refund/refundRechargeOrderList',
    method: 'get',
    params: query
  })
}
